--- title: "POST | Create or edit F5 BigIP publication profile" slug: "api-clm-post-create-edit-f5" updated: 2026-03-04T12:05:19Z published: 2026-03-04T14:37:38Z canonical: "docs.senhasegura.io/api-clm-post-create-edit-f5" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.senhasegura.io/llms.txt > Use this file to discover all available pages before exploring further. # POST | Create or edit F5 BigIP publication profile Creates or edits an F5 BigIP plugin publication profile. - **Endpoint**: `/api/certificate/profile/bigip` - **Method**: `POST` - **Request**: `POST /api/certificate/profile/bigip` ## Request parameters | Parameter | Type | Required | Description | | --- | --- | --- | --- | | `code_profile` | `int` | No | Existing profile code. We will create a new profile if you don't provide the existing one. | | `name_profile` | `string` | Yes | Profile name. | | `name_partition` | `string` | No | Partition name. | | `name_cert` | `string` | No | Certificate name. If a certificate with the same name already exists, it will be replaced during publication. | | `profile_client_vips` | `array` | No | *Array* of SSL Client Profiles and their VIPs. | | `profile_server_vips` | `array` | No | *Array* of SSL Server Profiles and their VIPs. | | `code_credential` | `int` | Conditional | A credential code is to be used in the publication. Required if a `username` is not provided. | | `username` | `string` | Conditional | The username is used to locate credentials for publication. Required if `code\_credential` is not provided. | | `devices` | `array` | Yes | *Array* with device codes where the certificate should be published. | ### Example using cURL ``` curl -X POST https://[segura_vault_url]/api/certificate/profile/bigip \ -H "Authorization: Bearer YOUR_API_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name_profile": "Load Balancers", "name_partition": "Common", "name_cert": "api_cert", "profile_client_vips": [ { "profile": "clientssl_profile", "vips": ["vip1", "vip2"] } ], "username": "admin", "devices": [301, 302] }' ``` ### Response ``` { "status": 200, "message": "Profile created successfully", "error": false, "code_profile": 41, "name_profile": "Load Balancers", "name_partition": "Common", "name_cert": "api_cert", "profile_client_vips": [ { "profile": "clientssl_profile", "vips": ["vip1", "vip2"] } ], "username": "admin", "devices": [301, 302] } ``` ### Error responses | HTTP Status Code | Description | | --- | --- | | 400 Bad Request | Invalid parameters provided. | | 401 Unauthorized | Unauthorized access. | | 403 Forbidden | Forbidden access. | | 404 Not Found | Resource not found. | | 500 Internal Server Error | Internal server error. |